PROGRAM setkinds

  IMPLICIT NONE
  REAL :: x
  REAL*8 :: y
  DOUBLE PRECISION :: z
  REAL(kind=kind(0.0D0)) :: x2
  REAL(kind=16) :: Extnd1

  WRITE(*,*) "kind(x) =",kind(x),"huge(x) =",huge(x)
  WRITE(*,*) "kind(y) =",kind(y),"huge(y) =",huge(y)
  WRITE(*,*) "kind(z) =",kind(z),"huge(z) =",huge(z)
  WRITE(*,*) "kind(x2) =",kind(x2),"huge(x2) =",huge(x2)
  WRITE(*,*) "kind(Extnd1) =",kind(Extnd1),"huge(Extnd1) =",huge(Extnd1)

  WRITE(*,*) "kind(1.e+36) =",kind(1.e+36)
  WRITE(*,*) "kind(1.d+36) =",kind(1.d+36)

END PROGRAM setkinds
